Question: error in using LOLA enrichment analysis in RnBeads
0
gravatar for rahel14350
3 months ago by
rahel1435020
United States
rahel1435020 wrote:

Dear all, I am doing Diff. meth. analysis for RRBS data using RnBeads. I am interested to do enrichment analysis from Lola package here but I have this error:

>Error in rnb.getOption(differential.enrichment.lola = TRUE) : 
 >unused argument (differential.enrichment.lola = TRUE)

Can you please help me? Kind Regards, Rahel

rnbeads rrbs lola enrichment • 174 views
ADD COMMENTlink modified 3 months ago by WouterDeCoster31k • written 3 months ago by rahel1435020

Please elaborate by adding the code you used when you obtained this error.

ADD REPLYlink written 3 months ago by WouterDeCoster31k

I want to start RnBeads full pipeline and in the beginning with setting rnb.options, I have this error. Here is my options:

>rnb.options(
    exploratory.intersample           = FALSE,
    exploratory.region.profiles       = NULL, 
    differential.enrichment.go=T,
    differential.enrichment.lola=T,
    differential.enrichment.lola.dbs = c("${LOLACore}"),
    differential.comparison.columns   = c("sample_Group"),
    differential.report.sites         = TRUE
)

I am using RnBeads.1.12.0 version.

ADD REPLYlink modified 3 months ago by WouterDeCoster31k • written 3 months ago by rahel1435020
1

I added code markup to your post for increased readability. You can do this by selecting the text and clicking the 101010 button. When you compose or edit a post that button is in your toolbar, see image below:

101010 Button

ADD REPLYlink written 3 months ago by WouterDeCoster31k

I am using RnBeads.1.12.0 version.

Then my first suggestion is to update to the latest version.

ADD REPLYlink written 3 months ago by WouterDeCoster31k

Many thanks for your prompt reply. The last version is 1.12.1 and I have the same Error there as well. I also have LOLA installed and included that one too (require(LOLA)) but still the same error is happening.

ADD REPLYlink modified 3 months ago • written 3 months ago by rahel1435020

Oh I was confused for a second, you indeed have the latest version. My bad.

Can you post the output of sessionInfo()?

ADD REPLYlink written 3 months ago by WouterDeCoster31k

Here is:

    > sessionInfo()
R version 3.4.4 (2018-03-15)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: Ubuntu 16.04.4 LTS

Matrix products: default
BLAS: /usr/lib/libblas/libblas.so.3.6.0
LAPACK: /usr/lib/lapack/liblapack.so.3.6.0

locale:
 [1] LC_CTYPE=en_US.UTF-8       LC_NUMERIC=C              
 [3] LC_TIME=en_US.UTF-8        LC_COLLATE=en_US.UTF-8    
 [5] LC_MONETARY=en_US.UTF-8    LC_MESSAGES=en_US.UTF-8   
 [7] LC_PAPER=en_US.UTF-8       LC_NAME=C                 
 [9] LC_ADDRESS=C               LC_TELEPHONE=C            
[11] LC_MEASUREMENT=en_US.UTF-8 LC_IDENTIFICATION=C       

attached base packages:
 [1] grid      stats4    parallel  stats     graphics  grDevices utils    
 [8] datasets  methods   base     

other attached packages:
 [1] LOLA_1.7.1                             
 [2] RnBeads_1.12.1                         
 [3] plyr_1.8.4                             
 [4] methylumi_2.22.0                       
 [5] minfi_1.22.1                           
 [6] bumphunter_1.16.0                      
 [7] locfit_1.5-9.1                         
 [8] iterators_1.0.9                        
 [9] foreach_1.4.4                          
[10] Biostrings_2.44.2                      
[11] XVector_0.16.0                         
[12] SummarizedExperiment_1.6.5             
[13] DelayedArray_0.2.7                     
[14] FDb.InfiniumMethylation.hg19_2.2.0     
[15] org.Hs.eg.db_3.4.1                     
[16] TxDb.Hsapiens.UCSC.hg19.knownGene_3.2.2
[17] GenomicFeatures_1.28.5                 
[18] AnnotationDbi_1.38.2                   
[19] reshape2_1.4.3                         
[20] scales_0.5.0.9000                      
[21] Biobase_2.36.2                         
[22] illuminaio_0.18.0                      
[23] matrixStats_0.53.1                     
[24] limma_3.32.10                          
[25] gridExtra_2.3                          
[26] gplots_3.0.1                           
[27] ggplot2_2.2.1.9000                     
[28] fields_9.6                             
[29] maps_3.3.0                             
[30] spam_2.1-4                             
[31] dotCall64_0.9-5.2                      
[32] ff_2.2-13                              
[33] bit_1.1-12                             
[34] cluster_2.0.7-1                        
[35] MASS_7.3-50                            
[36] GenomicRanges_1.28.6                   
[37] GenomeInfoDb_1.12.3                    
[38] IRanges_2.10.5                         
[39] S4Vectors_0.14.7                       
[40] BiocGenerics_0.22.1                    

loaded via a namespace (and not attached):
 [1] nlme_3.1-137             bitops_1.0-6             bit64_0.9-7             
 [4] httr_1.3.1               RColorBrewer_1.1-2       tools_3.4.4             
 [7] doRNG_1.6.6              nor1mix_1.2-3            R6_2.2.2                
[10] KernSmooth_2.23-15       DBI_1.0.0                lazyeval_0.2.1          
[13] colorspace_1.3-2         withr_2.1.2              base64_2.0              
[16] preprocessCore_1.38.1    compiler_3.4.4           pkgmaker_0.22           
[19] rtracklayer_1.36.6       caTools_1.17.1           quadprog_1.5-5          
[22] genefilter_1.58.1        stringr_1.3.1            digest_0.6.15           
[25] Rsamtools_1.28.0         siggenes_1.50.0          GEOquery_2.42.0         
[28] pkgconfig_2.0.1          rlang_0.2.0.9000         RSQLite_2.1.1           
[31] mclust_5.4               BiocParallel_1.10.1      gtools_3.5.0            
[34] RCurl_1.95-4.10          magrittr_1.5             GenomeInfoDbData_0.99.0 
[37] Matrix_1.2-14            Rcpp_0.12.16             munsell_0.4.3           
[40] stringi_1.2.2            zlibbioc_1.22.0          blob_1.1.1              
[43] gdata_2.18.0             lattice_0.20-35          splines_3.4.4           
[46] annotate_1.54.0          multtest_2.32.0          beanplot_1.2            
[49] pillar_1.2.2             rngtools_1.2.4           codetools_0.2-15        
[52] biomaRt_2.32.1           XML_3.98-1.11            data.table_1.11.2       
[55] gtable_0.2.0             openssl_1.0.1            reshape_0.8.7           
[58] xtable_1.8-2             survival_2.42-3          tibble_1.4.2            
[61] GenomicAlignments_1.12.2 registry_0.5             memoise_1.1.0
ADD REPLYlink modified 3 months ago • written 3 months ago by rahel1435020

I don't see lola here listed.

ADD REPLYlink written 3 months ago by WouterDeCoster31k

sorry, edited now! even now I still have the error!

ADD REPLYlink written 3 months ago by rahel1435020

My apologies for being lazy, I'll see if I can reproduce your issue.

ADD REPLYlink written 3 months ago by WouterDeCoster31k

I was unable to reproduce your issue with LOLA_1.8.0 and RnBeads_1.10.8 (command works fine).

ADD REPLYlink written 3 months ago by WouterDeCoster31k

I changed the version and unfortunately, I still have the same error!

ADD REPLYlink written 3 months ago by rahel1435020
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 705 users visited in the last hour